For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Related Products

Read the products related to a selected configurable product. Use a productId returned by List Products.

Related-product names are resolved for the customer language. Use Get Product when full configuration data is needed for an individual related product.

Requires the products:read scope.

Authorizations
AuthorizationstringRequired

API key sent as a bearer token (mk_live_… / mk_test_…).

Path parameters
productIdstringRequiredPattern: ^PROD-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Query parameters
langstring · min: 2 · max: 10Optional

When set, localized fields including description use this language.

Example: en
Responses
200

Successful response.

application/json
get/v1/products/{productId}/related
GET /v1/products/{productId}/related HTTP/1.1
Host: admin.mimeeqapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "productId": "text",
      "variantCode": "text",
      "name": "text",
      "status": "text",
      "mode": "text"
    }
  ]
}

Last updated

Was this helpful?